Bug 1890970 - CVE-2020-27638 fastd: DoS'able memory leak on invalid packets [epel-8]
Summary: CVE-2020-27638 fastd: DoS'able memory leak on invalid packets [epel-8]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fastd
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-27638
TreeView+ depends on / blocked
 
Reported: 2020-10-23 12:15 UTC by Michael Kaplan
Modified: 2020-11-10 00:30 UTC (History)
1 user (show)

Fixed In Version: fastd-21-1.fc33 fastd-21-1.fc31 fastd-21-1.fc32 fastd-21-1.el8 fastd-21-2.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-03 00:58:32 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Kaplan 2020-10-23 12:15:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-8.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Michael Kaplan 2020-10-23 12:15:57 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1890967,1890970

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-10-25 13:01:01 UTC
FEDORA-EPEL-2020-4f4de3554d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f4de3554d

Comment 3 Fedora Update System 2020-10-25 13:01:09 UTC
FEDORA-2020-01dc2bc62c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-01dc2bc62c

Comment 4 Fedora Update System 2020-10-25 13:01:11 UTC
FEDORA-2020-495c14a23f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-495c14a23f

Comment 5 Fedora Update System 2020-10-25 13:01:15 UTC
FEDORA-2020-13edfc3215 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-13edfc3215

Comment 6 Fedora Update System 2020-10-25 13:01:20 UTC
FEDORA-EPEL-2020-fd6ec50fa5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fd6ec50fa5

Comment 7 Fedora Update System 2020-10-26 01:18:20 UTC
FEDORA-2020-13edfc3215 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-13edfc3215`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-13edfc3215

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-26 01:29:43 UTC
FEDORA-EPEL-2020-fd6ec50fa5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fd6ec50fa5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-26 01:35:31 UTC
FEDORA-EPEL-2020-4f4de3554d has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f4de3554d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-26 01:37:28 UTC
FEDORA-2020-495c14a23f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-495c14a23f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-495c14a23f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-26 01:45:06 UTC
FEDORA-2020-01dc2bc62c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-01dc2bc62c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-01dc2bc62c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-03 00:58:32 UTC
FEDORA-2020-13edfc3215 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-11-03 01:20:59 UTC
FEDORA-2020-01dc2bc62c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-11-03 01:29:31 UTC
FEDORA-2020-495c14a23f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-11-10 00:30:16 UTC
FEDORA-EPEL-2020-4f4de3554d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-11-10 00:30:34 UTC
FEDORA-EPEL-2020-fd6ec50fa5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.